org.multiverse.api.predicates

## Class Predicates

- java.lang.Object
- - org.multiverse.api.predicates.Predicates

    public final class Predicates
    extends java.lang.Object

Predicate utility class.

### Method Summary

Methods
`static <E> Predicate<E>` `newIsNotNullPredicate()` Creates a Predicate that checks if the passed object is not null.
`static <E> Predicate<E>` `newIsNullPredicate()` Creates a Predicate that checks if the passed object is null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newIsNullPredicate

    public static <E> Predicate<E> newIsNullPredicate()

Creates a Predicate that checks if the passed object is null. You will get an existing instance.

Returns:
  the Predicate.

#### newIsNotNullPredicate

    public static <E> Predicate<E> newIsNotNullPredicate()

Creates a Predicate that checks if the passed object is not null. You will get an existing instance.

Returns:
  the Predicate.